Delete bot data
Permanently deletes all data associated with this bot, including recordings, transcripts, and participant information. Metadata is not deleted. This cannot be undone.
Path Parameters
- Type: stringobject
_id requiredBot ID
Headers
- Type: stringAuthorizationrequired
API key for authentication
- Type: stringContent
- Type requiredShould always be application/json
Responses
- application/json
- 400
Bot is not in a valid state for data deletion
- 404
Bot not found
Request Example for post/api/v1/bots/{object_id}/delete_data
curl https://app.attendee.dev/api/v1/bots/bot_xxxxxxxxxxx/delete_data \
--request POST \
--header 'Authorization: Token YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json'
{
"id": "string",
"metadata": {},
"meeting_url": "string",
"state": "ready",
"events": [
{
"type": "string",
"sub_type": null,
"created_at": "2026-07-14T05:02:57.415Z"
}
],
"transcription_state": "not_started",
"recording_state": "not_started",
"join_at": "2026-07-14T05:02:57.415Z",
"deduplication_key": "string"
}